curl --request GET \
--url https://api.coingecko.com/api/v3/coins/{id}/tickers \
--header 'x-cg-demo-api-key: <api-key>'{
"name": "Bitcoin",
"tickers": [
{
"base": "BTC",
"target": "USDT",
"market": {
"name": "Binance",
"identifier": "binance",
"has_trading_incentive": false,
"logo": "https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274"
},
"last": 76894.07,
"volume": 13786.06991,
"cost_to_move_up_usd": 19320706.3958517,
"cost_to_move_down_usd": 16360235.3694131,
"converted_last": {
"btc": 0.99664066,
"eth": 36.004874,
"usd": 76856
},
"converted_volume": {
"btc": 13740,
"eth": 496366,
"usd": 1059536991
},
"trust_score": null,
"bid_ask_spread_percentage": 0.010013,
"timestamp": "2026-05-18T13:37:29+00:00",
"last_traded_at": "2026-05-18T13:37:29+00:00",
"last_fetch_at": "2026-05-18T13:37:29+00:00",
"is_anomaly": false,
"is_stale": false,
"trade_url": "https://www.binance.com/en/trade/BTC_USDT?ref=37754157",
"token_info_url": null,
"coin_id": "bitcoin",
"target_coin_id": "tether",
"coin_mcap_usd": 1544810408447.1313
}
]
}Coin Tickers by ID
To query the coin tickers on both centralized exchange (CEX) and decentralized exchange (DEX) based on a particular coin ID
curl --request GET \
--url https://api.coingecko.com/api/v3/coins/{id}/tickers \
--header 'x-cg-demo-api-key: <api-key>'{
"name": "Bitcoin",
"tickers": [
{
"base": "BTC",
"target": "USDT",
"market": {
"name": "Binance",
"identifier": "binance",
"has_trading_incentive": false,
"logo": "https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274"
},
"last": 76894.07,
"volume": 13786.06991,
"cost_to_move_up_usd": 19320706.3958517,
"cost_to_move_down_usd": 16360235.3694131,
"converted_last": {
"btc": 0.99664066,
"eth": 36.004874,
"usd": 76856
},
"converted_volume": {
"btc": 13740,
"eth": 496366,
"usd": 1059536991
},
"trust_score": null,
"bid_ask_spread_percentage": 0.010013,
"timestamp": "2026-05-18T13:37:29+00:00",
"last_traded_at": "2026-05-18T13:37:29+00:00",
"last_fetch_at": "2026-05-18T13:37:29+00:00",
"is_anomaly": false,
"is_stale": false,
"trade_url": "https://www.binance.com/en/trade/BTC_USDT?ref=37754157",
"token_info_url": null,
"coin_id": "bitcoin",
"target_coin_id": "tether",
"coin_mcap_usd": 1544810408447.1313
}
]
}Notes
- Tickers are paginated to 100 items per page.
- Use
exchange_idsto filter tickers for a specific exchange. - When
dex_pair_format=symbol, DEX pairbaseandtargetdisplay as symbols (e.g.WETH,USDC) instead of contract addresses. - When sorting by
volume,converted_volumeis used instead ofvolume.
SDK Examples
const response = await client.coins.tickers.get('bitcoin');
console.log(JSON.stringify(response, null, 2));
response = client.coins.tickers.get("bitcoin")
print(response.model_dump_json(indent=2))
Authorizations
Learn how to set up your API key
Path Parameters
Coin ID.
*refers to /coins/list
Query Parameters
Exchange ID.
*refers to /exchanges/list
Include exchange logo. Default: false
Page through results
Sort the order of responses. Default: trust_score_desc
trust_score_desc, trust_score_asc, volume_desc, volume_asc Include 2% orderbook depth, i.e. cost_to_move_up_usd and cost_to_move_down_usd.
Default: false
Set to symbol to display DEX pair base and target as symbols.
Default: contract_address
contract_address, symbol Response
Coin tickers
Coin name
List of tickers
Hide child attributes
Hide child attributes
Ticker base currency
Ticker target currency
Last price
Trading volume
Trust score
Bid-ask spread percentage
Ticker timestamp
Last traded timestamp
Last fetch timestamp
Whether ticker is anomalous
Whether ticker is stale
Trade URL
Token info URL
Base currency coin ID
Target currency coin ID
Coin market cap in USD
Cost to move price up by 2% in USD
Cost to move price down by 2% in USD
Was this page helpful?

